#include iostream
#include string
using namespace std;

int main() {
    string k_str;
    cin  k_str;

    while (!k_str.empty() && k_str.back() == '0') {
        k_str.pop_back();
    }

    string reflected_k_str = ;
    for (int i = k_str.length() - 1; i = 0; i--) {
        char digit = k_str[i];

        if (digit == '2') {
            reflected_k_str += '5';
    	} else if (digit == '5') {
    		reflected_k_str += '2';
    	} else {
    		reflected_k_str += digit;
    	}
    }

    cout  reflected_k_str  endl;

    return 0;
}